MODIFYREPO_C(8)

NAME
modifyrepo_c - Modify a repomd.xml of rpm-md format repository

SYNOPSIS

modifyrepo_c [options] <input metadata> <output repodata>

modifyrepo_c --remove <metadata type> <output repodata>

modifyrepo_c [options] --batchfile <batch file> <output repodata>

OPTIONS

  --version

Show program's version number and exit.

  --mdtype MDTYPE

Specific datatype of the metadata, will be derived from the filename if not specified.

  --remove

Remove specified file from repodata.

  --compress

Compress the new repodata before adding it to the repo. (default)

  --no-compress

Do not compress the new repodata before adding it to the repo.

  --compress-type COMPRESS_TYPE

Compression format to use.

  -s --checksum SUMTYPE

Specify the checksum type to use. (default: sha256)

  --unique-md-filenames

Include the file's checksum in the filename, helps with proxies. (default)

  --simple-md-filenames

Do not include the file's checksum in the filename.

  --verbose

Verbose output.

  -f --batchfile BATCHFILE

Batch file.

  --new-name NEWFILENAME

New filename for the file

  --zck

Generate zchunk files as well as the standard repodata.

  --zck-dict-dir ZCK_DICT_DIR

Directory containing compression dictionaries for use by zchunk